#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n,m,k;
    cin>> n>>m>>k;
    if((n>k && m>k) || (n>k || m>k)){
        cout<< (n/k+n%k)*(m/k+m%k);
    }
    else {
        cout<< 1;
    }
}
